%define sourcename gkrellsun
%define plugin sun

Name: gkrellm-%plugin
Version: 0.10.6
Release: alt2

Summary: GKrellM sun plugin
Summary(ru_RU.CP1251):  sun  GKrellM
License: GPL
Group: Monitoring
Url: http://%sourcename.sourceforge.net/
Source: http://umn.dl.sourceforge.net/sourceforge/%sourcename/%sourcename-%version.tar.gz

#Patch0: %sourcename-0.11.1-alt-ru.patch.gz

Provides: %sourcename = %version
Obsoletes: %sourcename < %version

Requires: gkrellm >= 2.0

# Automatically added by buildreq on Tue Mar 16 2004
BuildRequires: gkrellm-devel glib2-devel libatk-devel libgtk+2-devel libpango-devel pkgconfig

%description
This GKrellM plugin displays the local sun rise and sun set times.

%description -l ru_RU.CP1251
 GKrellM       .

%prep
%setup -q -n %sourcename-%version
#patch0 -p1

%build
cd src20/
%make_build enable_nls=1 LOCALEDIR=%_datadir/locale

%install
#cd src20
mkdir -p %buildroot%_libdir/gkrellm2/plugins

%make_install install enable_nls=1 PLUGINDIR=%buildroot%_libdir/gkrellm2/plugins INSTALL_PREFIX=%buildroot LOCALEDIR=%_datadir/locale
%find_lang %sourcename

%files -f %sourcename.lang
%doc AUTHORS COPYING INSTALL README
%_libdir/gkrellm2/plugins/gkrell%plugin.so

%changelog
* Tue May 18 2004 Alex Murygin <murygin@altlinux.ru> 0.10.6-alt2
- renamed to gkrellm-{NAME}
- new version
- added russian summary, description

* Tue Mar 16 2004 Alex Murygin <murygin@altlinux.ru> 0.10.6-alt1
- new version
- removed internationalisation patches (merged to upstream)

* Sun Mar 30 2003 Alex Murygin <murygin@altlinux.ru> 0.9.1-alt2
- Added russian translation
- Added i18n support

* Mon Mar 03 2003 Alex Murygin <murygin@altlinux.ru> 0.9.1-alt1
- Built for ALTLinux
